%% 
%   Parallel Robots: Mechanics and Control
%   Copyright Hamid D. Taghirad 2013
%
%       This program transforms Euler angles to rotation matrix 
%
function R=euler2rot(th)
%
%   Generating Rotation matrix from Euler angles. book (2.38)
%
alpha = th(1);
beta  = th(2);
gamma = th(3);

R=[
cos(beta)*cos(gamma) ...
cos(gamma)*sin(alpha)*sin(beta)-cos(alpha)*sin(gamma)...
cos(alpha)*cos(gamma)*sin(beta)+sin(alpha)*sin(gamma); ...
cos(beta)*sin(gamma) ...
cos(alpha)*cos(gamma)+sin(alpha)*sin(beta)*sin(gamma)...
-cos(gamma)*sin(alpha)+cos(alpha)*sin(beta)*sin(gamma); ...
-sin(beta)...
cos(beta)*sin(alpha)...
cos(alpha)*cos(beta)
];